com.verisign.epp.serverstub.registry.v02

## Class RegistryHandler.RegistryZones

- java.lang.Object
- - com.verisign.epp.serverstub.registry.v02.RegistryHandler.RegistryZones

- Enclosing class:
    RegistryHandler

      public static class RegistryHandler.RegistryZones
      extends java.lang.Object

  `RegistryZones` stores the set of registry zone information. The registry zones are keyed by the zone name, which is normalized in upper case. A zone contains zone information and a list of policy extensions, as defined by `RegistryHandler.RegistryZone`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryZones()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteZone(java.lang.String aName)`
    `RegistryHandler.RegistryZone` | `getZone(java.lang.String aName)` Gets zone by name
    `java.util.Set<java.lang.String>` | `getZoneNames()` Gets the set of zone names.
    `void` | `setZone(java.lang.String aName, RegistryHandler.RegistryZone aZone)` Sets a zone, which add add it if it does not exist or update it if it does exist.
    `boolean` | `setZoneInfo(java.lang.String aName, EPPRegistryZone aZoneInfo)` Sets the zone info for an existing zone.
    `void` | `setZonePolicyExt(java.lang.String aName, EPPRegistryZoneInterface aZonePolicy)` Sets the zone policy extension for an existing zone.
    `void` | `setZonePolicyExts(java.lang.String aName, java.util.List<EPPRegistryZoneInterface> aZonePolicies)` Sets the zone policy extensions for an existing zone.
    `boolean` | `zoneExists(java.lang.String aName)` Does the zone exist by name?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryZones

          public RegistryZones()

      Default constructor

  - ### Method Detail

    - #### zoneExists

          public boolean zoneExists(java.lang.String aName)

      Does the zone exist by name?
      Parameters:
        `aName` - Zone name to search for.
      Returns:
        `true` if zone exists; `false` otherwise.

    - #### getZoneNames

          public java.util.Set<java.lang.String> getZoneNames()

      Gets the set of zone names.
      Returns:
        Set of zone names if the zones are defined; `null` otherwise.

    - #### getZone

          public RegistryHandler.RegistryZone getZone(java.lang.String aName)

      Gets zone by name
      Parameters:
        `aName` - Name of zone to search for
      Returns:
        Zone data if found; `null` otherwise.

    - #### setZone

          public void setZone(java.lang.String aName,
                              RegistryHandler.RegistryZone aZone)

      Sets a zone, which add add it if it does not exist or update it if it does exist.
      Parameters:
        `aName` - Name of zone to set
        `aZone` - Zone data to set

    - #### setZoneInfo

          public boolean setZoneInfo(java.lang.String aName,
                                     EPPRegistryZone aZoneInfo)

      Sets the zone info for an existing zone.
      Parameters:
        `aName` - Naming of existing zone
        `aZoneInfo` - Zone information to set for the existing zone
      Returns:
        `true` if the zone information was set; `false` otherwise.

    - #### setZonePolicyExt

          public void setZonePolicyExt(java.lang.String aName,
                                       EPPRegistryZoneInterface aZonePolicy)

      Sets the zone policy extension for an existing zone. If the policy has not already been set, the `setZonePolicyExt` will add it.
      Parameters:
        `aName` - Naming of existing zone
        `aZonePolicy` - Zone policy extension to set for the existing zone

    - #### setZonePolicyExts

          public void setZonePolicyExts(java.lang.String aName,
                                        java.util.List<EPPRegistryZoneInterface> aZonePolicies)

      Sets the zone policy extensions for an existing zone. If the policy has not already been set, the `setZonePolicyExt` will add it.
      Parameters:
        `aName` - Naming of existing zone
        `aZonePolicies` - Zone policy extensions to set for the existing zone

    - #### deleteZone

          public void deleteZone(java.lang.String aName)

Copyright © VeriSign Inc. All Rights Reserved.